Skip to main content
POST
Generate a Pix payment

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Body

application/json

Pix V1 payload

Body params to generate a Pix

amount
integer
required

Amount

Required range: x <= 100000000000
pix_ref_type
enum<string>
required

Pix reference type

Available options:
key,
brcode,
bank_account
virtual_account_id
string<uuid>
required

Unique identifier

description
string

Pix description

external_id
string

External ID

pix_ref_bank_account
object

Pix reference bank account object

pix_ref_id
string

Pix unique identifier from DICT. Must be informed with Pix ref type is key or brcode

platform_id
string | null

Platform ID

Response

GeneratePix

Response schema for a single Pix generation

data
object